Uppgradera Joomla 1.5 eller riskera att bli hackad

Uppgradera joomla 1.5 eller bli hackad

Det populära CMS:et Joomla version 1.5 har vart med oss sedan 2008. Sedan dess har systemet laddats hem och installerats flera miljoner gånger och kan räknas som ett av de populäraste publiceringsverktygen genom tiderna.

Men nu har Joomla version 1.5 gjort sitt. Sedan hösten 2012 kommer det inte fler säkerhetsuppdateringar till version 1.5. Anledningen är att Joomla nu valt att lägga allt krut på att utveckla Joomla 2.5 och kommande version 3.5.

Joomla 2.5 som släpptes i stabil version under 2012 kommer vara med oss till hösten 2014 och är i dagsläget det system som du bör installera om du väljer Joomla som plattform.

Joomla 3.0 är för tillfället bara släppt som version tänkt till utvecklare. Läs mer om det här.

Vad innebär detta för dig som har en hemsida byggd med version 1.5 då?

Eftersom Joomla 1.5 inte längre uppdateras riskerar du med tiden att bli hackad. Många utvecklare av tredje parts komponenter överger också Joomla 1.5 för att istället utveckla till 2.5 och kommande 3.5. Det innebär att säkerhetshål som finns både i Joomlas system och i de komponenter och moduler som utvecklas av andra inte kommer fixas längre. Detta ökar givetvis riskerna för att bli hackad.

Vad innebär det att bli hackad?

Att få sin hemsida hackad är aldrig kul. Oftast är hacken relativt oskyldiga, ibland byter hackaren bara ut index-filen eller ändrar informationen i .htaccess. En del hackare väljer till och med att skicka med en textfil med instruktioner om hur du ska ta bort hacket.

Men det finns hackare som använder säkerhetshålen för eget och illigalt bruk. T.ex. installera script som gör det möjligt att skicka spam via din hemsida, sprida sitt budskap eller attackera andra hemsidor med hjälp av din.

De allvarliga fallen kan ställa till det rejält. Det enda sättet är då att installera en backup och sedan leta reda på alla säkerhetshål och täppa igen dem. Detta är inget man gör på fem minuter och det kan bli väldigt kostsamt. Dessutom finns det inga garantier på att lösningen fungerar i längden och du kan alltså bli hackad igen inom kort.

Lösningen då?

Det bästa alternativet för att skydda sig mot hackare är att hela tiden uppdatera sin hemsida med senaste versionen av systemet och systemets säkerhetsuppdateringar som kommer ut med jämna mellanrum. Du som har Joomla 1.5 kommer inte kunna göra detta på ett enkelt sätt eftersom Joomla 1.5 och 2.5 skiljer sig mycket från varandra. Att uppdatera Joomla 2.5 eller 3.5 kommer kunna ske med en knapptryckning. Men att uppgradera från 1.5 till 2.5 kräver mer handpåläggning.

En uppgradering av 1.5 till 2.5 kommer alltså kosta en slant, men det är värt pengarna då du kommer slippa problem längre fram. En del av våra kunder som sitter i denna situation väljer också att byta system till WordPress (WP).

WP är också ett av de populärare publiceringsverktygen på marknaden idag. Skillnaden mellan Joomla och WP i detta fall är att WP kan uppgraderas snabbt och enkelt via administrationspanelen, en knapptryckning är allt som behövs. I WP ser du om ditt system behöver uppgraderas genom information som kommer upp på administrationspanelens förstasida. Det gör det mycket enklare att se när det är dags. Läs mer om WordPress här.

Du bestämmer naturligtvis själv hur du vill göra med din hemsida. Om du vill ligga kvar med version 1.5, uppgradera eller byta till WP. Vi rekommenderar dock att du inte ligger kvar med version 1.5 länge till.

Lämna en kommentar